Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2499

NA acknowledgement letter form
02/02/2017 05:13 AM - Oleksii Kurasov

Status: Closed Start date: 02/02/2017
Priority: High Due date: 02/07/2017
Assignee: Oleksii Kurasov % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

1. Should be redefined in new template provided
2. Screening serial number must be generated

History

#1 - 02/06/2017 05:42 AM - Oleksii Kurasov
- Due date changed from 02/03/2017 to 02/06/2017

#2 - 02/07/2017 05:13 AM - Oleksii Kurasov
- Due date changed from 02/06/2017 to 02/07/2017

- Status changed from New to In Progress

#3 - 02/15/2017 09:53 AM - Oleksii Kurasov

- Status changed from In Progress to Resolved

#4 - 02/17/2017 05:35 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Files

NMRC - SOP FOR SCREENING.docx 656 KB

06/07/2025

02/02/2017

Oleksii Kurasov

1/1



http://www.tcpdf.org

